Bug 981220 (CVE-2013-2237) - CVE-2013-2237 Kernel: net: af_key: initialize satype in key_notify_policy_flush
Summary: CVE-2013-2237 Kernel: net: af_key: initialize satype in key_notify_policy_flush
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2237
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 981222 981224 981225 981227 981228 981229
Blocks: 981201
TreeView+ depends on / blocked
 
Reported: 2013-07-04 09:27 UTC by Prasad J Pandit
Modified: 2019-09-29 13:05 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 05:29:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1166 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-08-20 22:56:21 UTC
Red Hat Product Errata RHSA-2013:1173 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-08-27 23:23:53 UTC
Red Hat Product Errata RHSA-2013:1195 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-09-04 00:27:43 UTC
Red Hat Product Errata RHSA-2013:1264 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-09-16 21:01:17 UTC

Description Prasad J Pandit 2013-07-04 09:27:40 UTC
Linux kernel built with the IPSec key_socket support(CONFIG_NET_KEY=m) is
vulnerable to an information leakage flaw. It occurs while using key_socket's
notify_policy interface.

A user/program able to access the PF_KEY key_sockets could use this flaw to
leak kernel memory bytes.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/85dfb745ee40232876663ae206cba35f24ab2a40

Reference:
----------
 -> http://www.openwall.com/lists/oss-security/2013/07/03/1

Comment 4 errata-xmlrpc 2013-08-20 19:01:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1166 https://rhn.redhat.com/errata/RHSA-2013-1166.html

Comment 5 Prasad J Pandit 2013-08-22 07:35:58 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise MRG 2 may address this issue. This issue has been addressed for Red Hat Enterprise Linux 5 via the advisory RHSA-2013:1166 and Red Hat Enterprise Linux 6 via the advisory RHSA-2013:1173.

Comment 6 errata-xmlrpc 2013-08-27 19:32:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1173 https://rhn.redhat.com/errata/RHSA-2013-1173.html

Comment 7 errata-xmlrpc 2013-09-03 20:31:11 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1195 https://rhn.redhat.com/errata/RHSA-2013-1195.html

Comment 8 errata-xmlrpc 2013-09-16 17:11:00 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1264 https://rhn.redhat.com/errata/RHSA-2013-1264.html


Note You need to log in before you can comment on or make changes to this bug.